Patches for aports can be sent to this list

3 2

[alpine-aports] [PATCH] testing/apk-file: new aport

Details
Message ID
<20171210001720.8222-1-sir@cmpwn.com>
Sender timestamp
1512865040
DKIM signature
missing
Download raw message
Patch: +26 -0
https://github.com/jessfraz/apk-file
Search apk packages via the command line.
---
 testing/apk-file/APKBUILD | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 testing/apk-file/APKBUILD

diff --git a/testing/apk-file/APKBUILD b/testing/apk-file/APKBUILD
new file mode 100644
index 0000000000..c077d891db
--- /dev/null
+++ b/testing/apk-file/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Drew DeVault <sir@cmpwn.com>
+pkgname=apk-file
+pkgver=0.1.3
+pkgrel=0
+pkgdesc="Search apk packages via the command line."
+url="https://github.com/jessfraz/apk-file"
+arch="all"
+license="MIT"
+makedepends="go-tools"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/jessfraz/${pkgname}/archive/v${pkgver}.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+options="$options !check"
+
+build() {
+    export GOPATH="$startdir"
+	cd "$builddir"
+    go get -d -v || return 1
+    go build || return 1
+}
+
+package() {
+	cd "$builddir"
+    install -Dm755 $pkgname-$pkgver "$pkgdir"/usr/bin/$pkgname
+}
+
+sha512sums="ff688ed064e961321ef984f7cbd2dd6013bbdd7485aa00303039857ce96e5fcda8979e8102f29a66951c377a8f71780218a023833f6eebdf901ffced0ded0d19  apk-file-0.1.3.tar.gz"
-- 
2.15.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Details
Message ID
<20181012194458.GB890@miku>
In-Reply-To
<20181012211544.3694e997@ncopa-desktop.copa.dup.pw> (view parent)
Sender timestamp
1539373498
DKIM signature
missing
Download raw message
On 2018-10-12  9:15 PM, Natanael Copa wrote:
> I am trying to look over some old, unmerged patches.

Thanks!

> > +build() {
> > +    export GOPATH="$startdir"
> > +	cd "$builddir"
> > +    go get -d -v || return 1
> 
> This will pull in dependencies from current git and will create a
> different package from same APKBUILD in the future.
> 
> I don't have a perfect answer to how to do reproducible builds with go.

Go 1.11 was released since I first made this package, and apk-file has
been updated accordingly with a go.sum file which can be used to pin the
dependency versions. I'll put up a new patch soon which updates this to
0.3.5 and makes the appropriate changes.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Details
Message ID
<20181012224112.GB1346@homura.localdomain>
In-Reply-To
<20181012211544.3694e997@ncopa-desktop.copa.dup.pw> (view parent)
Sender timestamp
1539384072
DKIM signature
missing
Download raw message
Looks like apk-file made it into testing via a different patch on
October 3rd.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20181012211544.3694e997@ncopa-desktop.copa.dup.pw>
In-Reply-To
<20171210001720.8222-1-sir@cmpwn.com> (view parent)
Sender timestamp
1539371744
DKIM signature
missing
Download raw message
Hi,

I am trying to look over some old, unmerged patches.

-nc

On Sat,  9 Dec 2017 19:17:20 -0500
Drew DeVault <sir@cmpwn.com> wrote:

> https://github.com/jessfraz/apk-file
> Search apk packages via the command line.
> ---
>  testing/apk-file/APKBUILD | 26 ++++++++++++++++++++++++++
>  1 file changed, 26 insertions(+)
>  create mode 100644 testing/apk-file/APKBUILD
> 
> diff --git a/testing/apk-file/APKBUILD b/testing/apk-file/APKBUILD
> new file mode 100644
> index 0000000000..c077d891db
> --- /dev/null
> +++ b/testing/apk-file/APKBUILD
> @@ -0,0 +1,26 @@
> +# Maintainer: Drew DeVault <sir@cmpwn.com>
> +pkgname=apk-file
> +pkgver=0.1.3
> +pkgrel=0
> +pkgdesc="Search apk packages via the command line."
> +url="https://github.com/jessfraz/apk-file"
> +arch="all"
> +license="MIT"
> +makedepends="go-tools"
> +source="${pkgname}-${pkgver}.tar.gz::https://github.com/jessfraz/${pkgname}/archive/v${pkgver}.tar.gz"
> +builddir="$srcdir/$pkgname-$pkgver"
> +options="$options !check"
> +
> +build() {
> +    export GOPATH="$startdir"
> +	cd "$builddir"
> +    go get -d -v || return 1

This will pull in dependencies from current git and will create a
different package from same APKBUILD in the future.

I don't have a perfect answer to how to do reproducible builds with go.


> +    go build || return 1
> +}
> +
> +package() {
> +	cd "$builddir"
> +    install -Dm755 $pkgname-$pkgver "$pkgdir"/usr/bin/$pkgname
> +}
> +
> +sha512sums="ff688ed064e961321ef984f7cbd2dd6013bbdd7485aa00303039857ce96e5fcda8979e8102f29a66951c377a8f71780218a023833f6eebdf901ffced0ded0d19  apk-file-0.1.3.tar.gz"



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---